<!DOCTYPE html>
<html>
{% module Template("head.html", title=title) %}
<body class="shops">
    {% module Template("nav.html") %}
    <main>
        <h1>{{ title }}</h1>

        <h2>Create a new Shop</h2>
        <form id="newShop">
            <fieldset>
                <legend>Meta Data</legend>
                <div>
                    <label for="shopName">Name</label>
                    <input name="shopName" id="shopName" type="text" placeholder="Name of the new shop">
                </div>
                <div>
                     <label for="description">Description</label>
                    <input name="description" id="description" placeholder="An optional description">
                </div>
            </fieldset>
            <fieldset>
                <legend>Configuration</legend>
                <div>
                     <label for="jobs">Number of Jobs</label>
                    <input name="jobs" id="jobs" type="number" min="1" maxlength="6"  pattern="[0-9]*" placeholder="The number of jobs to be generated" required>
                </div>
                <div>
                     <label for="resources">Number of Resources</label>
                    <input name="resources" id="resources" type="number" min="1" maxlength="6" pattern="[0-9]*" placeholder="The number of resources to be generated" required>
                </div>
                <div>
                     <label for="minResources">Min. Resources per Operation</label>
                    <input name="minResources" id="minResources" type="number" min="1" maxlength="6" pattern="[0-9]*" placeholder="The minimum number of resources an operation ca be processed on" required>
                </div>
                <div>
                     <label for="maxResources">Max. number of Resources per Operation</label>
                    <input name="maxResources" id="maxResources" type="number" min="1" maxlength="6" pattern="[0-9]*" placeholder="The maximum number of resources an operation ca be processed on" required>
                </div>
                <div>
                     <label for="seed">Seed</label>
                    <input name="seed" id="seed" pattern="[0-9]*" placeholder="Generated automatically if left empty" type="number">
                </div>
            </fieldset>
            <button type="submit" name="submit">Create Shop</button>
        </form>

        <h2>Available Shops</h2>
        <table class="control" id="shops">
            <thead>
                <tr>
                    <th scope="col">Name</th>
                    <th scope="col">Number of Jobs</th>
                    <th scope="col">Number of Resources</th>
                    <th scope="col">Actions</th>
                </tr>
            </thead>
            <tbody></tbody>
            <tfoot></tfoot>
        </table>
    </main>
    {% module Template("footer.html") %}
</body>
</html>
